guns = {
	["auto"] = {
		love.graphics.newImage("img/guns/autorifle.png"),
		0.1, -- fire rate
		20, -- max ammo
		300, -- hear range

		love.graphics.newImage("img/guns/autorifleTop.png"),
	},
	["pistol"] = {
		love.graphics.newImage("img/guns/pistol.png"),
		math.huge, -- no auto fire 
		7, -- max ammo
		200, -- hear range

		love.graphics.newImage("img/guns/pistolTop.png"),
	},
	["shotgun"] = {
		love.graphics.newImage("img/guns/shotgun.png"),
		math.huge,
		10,
		350, -- hear range

		love.graphics.newImage("img/guns/shotgunTop.png")
	},

	["knife"] = love.graphics.newImage("img/guns/knife.png"),
}

grenades = { -- inventory images for grenades
	["explode"] = {
		love.graphics.newImage("img/grenades/explode.png"),
		250, -- explosion radius
	},
	["noise"] = {
		love.graphics.newImage("img/grenades/noise.png"),
		300,
	},
	["stun"] = {
		love.graphics.newImage("img/grenades/stun.png"),
		200,
	}
}

function equipWeapon(weapon, slot, ammo)
	if not guns[weapon] then -- it's a grenade
		player.inv[slot].grenade = weapon
		player.inv[slot].ammo = ammo or 1
	else
		player.inv[1].weapon = weapon
		player.inv[1].ammo = ammo or guns[weapon][3]
		player.inv[1].btm = guns[weapon][2]
		player.inv[1].bt = guns[weapon][2]
	end
end